{% extends "orders/base.html" %}

{% block title %}
Project3: Pizza
{% endblock %}

{% block body %}

{{ pizza_toppings|json_script:"pizza-toppings" }}
{{ sub_toppings|json_script:"sub-toppings" }}
{{ open_order|json_script:"open-order" }}
<h2>Menu</h2>
<div class="container">
  <div class="row">
    <div class="menu col-7">
      {% for category in categories %}
      <div class="container">
        <div class="row cat-header align-items-end">
          <h3 class="col-8">{{ category.name }}</h3>
          <div class="col-2 text-center">
            {% if category.name != "Pasta" and category.name != "Salads" %}
            Small
            {% endif %}
          </div>
          <div class="col-2 text-center">
            {% if category.name != "Pasta" and category.name != "Salads" %}
            Large
            {% endif %}
          </div>
        </div>
        {% for food in foods %}
        {% if food.category.id == category.id %}
        <div class="row foodmenu-item align-items-center" data-food="{{food.id}}" data-tnr="{{food.toppings}}"
        data-cat="{{category.name}}"
        {% if category.name == "Regular Pizza" or category.name == "Sicilian Pizza" %}
        data-type="pizza"
        {% elif category.name == "Subs" %}
        data-type="subs"
        {% endif %}
        >
        <div class="col-8">{{food.name}}</div>
        <div class="col-2 text-center">
          {% if food.small_price %}
          {% if user.is_authenticated %}
          <a href class="btn btn-outline-success order-small order-food" data-size="small">${{ food.small_price|floatformat:2 }}</a>
          {% else %}
          ${{ food.small_price|floatformat:2 }}
          {% endif %}
          {% endif %}
        </div>
        <div class="col-2 text-center">
          {% if user.is_authenticated %}
          <a href data-size="large" class="btn btn-outline-danger order-large order-food">${{ food.large_price|floatformat:2 }}</a>
          {% else %}
          ${{ food.large_price|floatformat:2 }}
          {% endif %}
        </div>
      </div>
      {% endif %}
      {% endfor %}
    </div>
    {% endfor %}
  </div>
  <div class="col-5 order-list-container">
    {% if user.is_authenticated %}
    <h3>Your order</h3>
    <div class="order-list">
      Your basket is empty.
    </div>
    <div class="basket-button-container container">
      <div class="row justify-content-between">
        <button class="empty-basket btn btn-outline-secondary">Empty basket</button>
        <a href="{% url 'placeorder' %}" class="place-order btn btn-outline-success">Place order &raquo;</a>
      </div>
    </div>
    {% else %}
      <a href="{% url 'login'%}">Log in</a> or <a href="{% url 'signup'%}">register</a> to order.
    {% endif %}
  </div>
</div>
</div>
{% endblock %}
